Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PointLight Class Reference

A light originating from a single point in space, and shining in all directions. More...

Inheritance diagram for PointLight:

List of all members.

## Public Member Functions
| PointLight (string name)
VBase3 const | getAttenuation ()
| Returns the terms of the attenuation equation for the light.
Point3 const | getPoint ()
| Returns the point in space at which the light is located.
VBase4 const | getSpecularColor ()
| Returns the color of specular highlights generated by the light.
| setAttenuation (VBase3 const attenuation)
| Sets the terms of the attenuation equation for the light.
| setPoint (Point3 const point)
| Sets the point in space at which the light is located.
| setSpecularColor (VBase4 const color)
| Sets the color of specular highlights generated by the light.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A light originating from a single point in space, and shining in all directions.

## Constructor & Destructor Documentation

PointLight | ( | string | name | ) |

## Member Function Documentation

VBase3 const getAttenuation | ( |  | ) |

Returns the terms of the attenuation equation for the light.

These are, in order, the constant, linear, and quadratic terms based on the distance from the point to the vertex.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LightLensNode.

Point3 const getPoint | ( |  | ) |

Returns the point in space at which the light is located.

This is local to the coordinate space in which the light is assigned.

VBase4 const getSpecularColor | ( |  | ) |

Returns the color of specular highlights generated by the light.

setAttenuation | ( | VBase3 const | attenuation | ) |

Sets the terms of the attenuation equation for the light.

These are, in order, the constant, linear, and quadratic terms based on the distance from the point to the vertex.

setPoint | ( | Point3 const | point | ) |

Sets the point in space at which the light is located.

setSpecularColor | ( | VBase4 const | color | ) |

Sets the color of specular highlights generated by the light.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties